#
# spec file for package python-cryptopp
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname pycryptopp

Name:           python-cryptopp
Version:        0.5.29
Release:        18.5
Summary:        Python Wrappers for the Crypto++ Library
License:        GPL-2.0+ or SUSE-TGPPL-1.0+
Group:          Development/Libraries/Python
Url:            http://allmydata.org/trac/pycryptopp
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
BuildRequires:  gcc-c++
BuildRequires:  libcryptopp-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-xml
Patch0:         pycryptopp-0.5.29-disable-w-flag.patch

%description
RSA-PSS-SHA256 signatures, ECDSA(1363)/EMSA1(SHA-256) signatures, SHA-256
hashes, and AES-CTR encryption for Python.

Authors:
--------
    Zooko O'Whielacronx <zooko at zooko com>

%prep
%setup -q -n %{modname}-%{version}
%patch0

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
python setup.py build --disable-embedded-cryptopp

%install
python setup.py install --single-version-externally-managed --prefix=%{_prefix} --root=$RPM_BUILD_ROOT
rm -r \
  $RPM_BUILD_ROOT%{_prefix}/embeddedcryptopp \
  $RPM_BUILD_ROOT%{_datadir}/doc/%{modname} \
  $RPM_BUILD_ROOT%{py_sitedir}/%{modname}/test \
  $RPM_BUILD_ROOT%{py_sitedir}/%{modname}/testvectors

%check
python setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.GPL COPYING.TGPPL.html ChangeLog NEWS.rst README.txt
%{py_sitedir}/%{modname}
%{py_sitedir}/%{modname}-%{version}-*.egg-info

%changelog
* Fri Dec  9 2011 cfarrell@suse.com
- license update: GPL-2.0+ or SUSE-TGPPL-1.0+
  Package has a dual license. Use SPDX format (the SUSE prefix indicates
  that the license is not yet upstreamed)
* Thu Dec  8 2011 coolo@suse.com
- COPYING.GPL says it's GPL-2.0+
* Sat Jan 29 2011 andreas.hanke@gmx-topmail.de
- Update to version 0.5.29 (no upstream changelog available).
  Changelog of version 0.5.28:
  * re-enable the ECDSA module, but please do not rely on it as it is
    expected to change in backwards-incompatible ways in future releases
  * several changes to the build system to make it tidier and less
    error-prone -- see revision control history for details
- drop pycryptopp-unbundle.patch (now fixed upstream in a different way)
- ship ChangeLog and NEWS.rst
* Sat Dec 18 2010 andreas.hanke@gmx-topmail.de
- add pycryptopp-unbundle.patch from Fedora to fix build
- remove extraversion.h, not needed with system cryptopp
- run tests
- merged from package by Toni Graffy <toni@links2linux.de>:
  - remove duplicate documentation
- merged from package by Pascal Bleser <pascal.bleser@opensuse.org>:
  - remove tests
* Thu Dec 16 2010 cristian.rodriguez@opensuse.org
- Update to version 0.5.25
  * make setup backwards-compatible to Python 2.4
  * fix incompatibilities between setup script and older versions of darcsver
  * don't attempt to compile Mac OS X extended attribute files (this fixes the build breaking)
  * include a version number of the specific version of Crypto++ in extraversion.h
  * small changes to docs
  Update to version 0.5.20 changes:
  * fix bugs in assembly implementation of SHA-256 from Crypto++
  * fix it to compile on *BSD (#39)
  * improve doc strings
  * add a quick start-up-self-test of SHA256 (#43)
  * execute the quick start-up-self-tests of AES and SHA256 on module import
- build with -fno-strict-aliasing
- use system cryptopp library
* Tue Dec  2 2008 James Oakley <jfunk@funktronics.ca>
- Initial release
